<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/net/ip6_headers.hpp File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('db/d51/ip6__headers_8hpp.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">ip6_headers.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file includes definitions for IPv6 packet processing.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stddef.h&gt;</code><br />
<code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../df/d57/encoding_8hpp_source.html">common/encoding.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d5/d8c/message_8hpp_source.html">common/message.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../dc/d02/ip6__address_8hpp_source.html">net/ip6_address.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../d0/d86/netif_8hpp_source.html">net/netif.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../da/dfc/socket_8hpp_source.html">net/socket.hpp</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ip6_headers.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="../../d9/d4c/ip6__headers_8hpp__incl.png" border="0" usemap="#src_2core_2net_2ip6__headers_8hpp" alt=""/></div>
<map name="src_2core_2net_2ip6__headers_8hpp" id="src_2core_2net_2ip6__headers_8hpp">
<area shape="rect" id="node3" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="934,385,1070,411"/>
<area shape="rect" id="node7" href="../../df/d57/encoding_8hpp.html" title="This file includes definitions for byte&#45;ordering encoding. " alt="" coords="224,305,380,331"/>
<area shape="rect" id="node9" href="../../d5/d8c/message_8hpp.html" title="This file includes definitions for the message buffer pool and message buffers. " alt="" coords="437,152,593,177"/>
<area shape="rect" id="node17" href="../../dc/d02/ip6__address_8hpp.html" title="This file includes definitions for IPv6 addresses. " alt="" coords="747,225,889,251"/>
<area shape="rect" id="node18" href="../../d0/d86/netif_8hpp.html" title="This file includes definitions for IPv6 network interfaces. " alt="" coords="600,79,694,104"/>
<area shape="rect" id="node20" href="../../da/dfc/socket_8hpp.html" title="This file includes definitions for IPv6 sockets. " alt="" coords="770,152,878,177"/>
<area shape="rect" id="node4" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="626,459,690,484"/>
<area shape="rect" id="node5" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="1113,459,1189,484"/>
<area shape="rect" id="node6" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="933,459,1071,484"/>
<area shape="rect" id="node10" href="../../da/d45/openthread-config_8h_source.html" title="openthread&#45;config.h" alt="" coords="314,225,454,251"/>
<area shape="rect" id="node12" href="../../df/dcb/openthread-core-config_8h.html" title="This file includes compile&#45;time configuration constants for OpenThread. " alt="" coords="54,225,224,251"/>
<area shape="rect" id="node14" href="../../da/d7b/code__utils_8hpp.html" title="This file includes macros for validating runtime conditions. " alt="" coords="1189,385,1351,411"/>
<area shape="rect" id="node15" href="../../d1/d97/mac__frame_8hpp.html" title="This file includes definitions for generating and processing IEEE 802.15.4 MAC frames. " alt="" coords="529,225,672,251"/>
<area shape="rect" id="node13" href="../../d7/d08/openthread-core-default-config_8h.html" title="This file includes default compile&#45;time configuration constants for OpenThread. " alt="" coords="36,299,200,337"/>
<area shape="rect" id="node16" href="../../d7/d62/radio_8h.html" title="This file defines the radio interface for OpenThread. " alt="" coords="695,305,809,331"/>
<area shape="rect" id="node19" href="../../df/d84/tasklet_8hpp.html" title="This file includes definitions for tasklets and the tasklet scheduler. " alt="" coords="909,152,1049,177"/>
<area shape="rect" id="node21" href="../../dd/d45/openthread_8h.html" title="This file defines the top&#45;level functions for the OpenThread library. " alt="" coords="913,225,1013,251"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d6e/ip6__headers_8hpp__dep__incl.png" border="0" usemap="#src_2core_2net_2ip6__headers_8hppdep" alt=""/></div>
<map name="src_2core_2net_2ip6__headers_8hppdep" id="src_2core_2net_2ip6__headers_8hppdep">
<area shape="rect" id="node2" href="../../d0/dba/icmp6_8hpp.html" title="This file includes definitions for ICMPv6. " alt="" coords="742,79,898,104"/>
<area shape="rect" id="node10" href="../../d1/dd4/ip6_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="2128,159,2267,184"/>
<area shape="rect" id="node39" href="../../df/dab/ip6__mpl_8hpp.html" title="This file includes definitions for MPL. " alt="" coords="2454,79,2621,104"/>
<area shape="rect" id="node40" href="../../d3/d23/tcp_8hpp.html" title="This file includes definitions for parsing TCP header. " alt="" coords="2788,159,2927,184"/>
<area shape="rect" id="node41" href="../../d0/db7/udp6_8hpp.html" title="This file includes definitions for UDP/IPv6 sockets. " alt="" coords="4102,79,4252,104"/>
<area shape="rect" id="node3" href="../../d3/db5/cli_8hpp.html" title="This file contains definitions for the CLI interpreter. " alt="" coords="454,159,551,184"/>
<area shape="rect" id="node8" href="../../df/d5b/icmp6_8cpp.html" title="This file implements ICMPv6. " alt="" coords="742,245,898,271"/>
<area shape="rect" id="node9" href="../../d5/d8d/ip6_8cpp.html" title="This file implements IPv6 networking. " alt="" coords="831,419,969,444"/>
<area shape="rect" id="node20" href="../../da/d60/openthread_8cpp.html" title="This file implements the top&#45;level interface to the OpenThread stack. " alt="" coords="1057,332,1223,357"/>
<area shape="rect" id="node36" href="../../d6/d6f/mle__router_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Router and Leader roles..." alt="" coords="3556,412,3692,451"/>
<area shape="rect" id="node37" href="../../d9/d88/mle__router_8cpp.html" title="This file implements MLE functionality required for the Thread Router and Leader roles. " alt="" coords="1556,499,1692,537"/>
<area shape="rect" id="node38" href="../../d9/d2d/address__resolver_8hpp.html" title="This file includes definitions for Thread EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="3599,239,3761,277"/>
<area shape="rect" id="node4" href="../../dd/d48/cli_8cpp.html" title="This file implements the CLI interpreter. " alt="" coords="937,332,1034,357"/>
<area shape="rect" id="node5" href="../../dd/df4/cli__console_8cpp.html" title="This file implements the CLI server on the CONSOLE service. " alt="" coords="93,245,243,271"/>
<area shape="rect" id="node6" href="../../d3/d16/cli__dataset_8cpp.html" title="This file implements the CLI interpreter. " alt="" coords="267,245,415,271"/>
<area shape="rect" id="node7" href="../../db/d13/cli__uart_8cpp.html" title="This file implements the CLI server on the UART service. " alt="" coords="439,245,566,271"/>
<area shape="rect" id="node11" href="../../d8/d6a/message_8cpp.html" title="This file implements the message buffer pool and message buffers. " alt="" coords="1174,245,1381,271"/>
<area shape="rect" id="node12" href="../../d0/d54/tasklet_8cpp.html" title="This file implements the tasklet scheduler. " alt="" coords="1404,245,1596,271"/>
<area shape="rect" id="node13" href="../../dc/de5/timer_8cpp.html" title="This file implements a multiplexed timer service on top of the alarm abstraction. ..." alt="" coords="1324,332,1505,357"/>
<area shape="rect" id="node14" href="../../de/db9/ip6__filter_8cpp.html" title="This file implements IPv6 datagram filtering. " alt="" coords="3045,419,3214,444"/>
<area shape="rect" id="node15" href="../../d3/d05/ip6__mpl_8cpp.html" title="This file implements MPL. " alt="" coords="2718,245,2885,271"/>
<area shape="rect" id="node16" href="../../dd/daa/ip6__routes_8cpp.html" title="This file implements IPv6 route tables. " alt="" coords="1784,245,1966,271"/>
<area shape="rect" id="node17" href="../../d9/db7/netif_8cpp.html" title="This file implements IPv6 network interfaces. " alt="" coords="1990,245,2135,271"/>
<area shape="rect" id="node18" href="../../d4/d07/udp6_8cpp.html" title="This file implements UDP/IPv6 sockets. " alt="" coords="3223,245,3372,271"/>
<area shape="rect" id="node19" href="../../d2/dfc/openthread-instance_8h.html" title="This file defines the structure of the variables required for all instances of OpenThread API..." alt="" coords="1619,239,1759,277"/>
<area shape="rect" id="node21" href="../../db/d84/thread__netif_8cpp.html" title="This file implements the Thread network interface. " alt="" coords="2684,412,2836,451"/>
<area shape="rect" id="node22" href="../../d5/d6a/ncp__base_8cpp.html" title="This file implements a Spinel interface to the OpenThread stack. " alt="" coords="1722,332,1873,357"/>
<area shape="rect" id="node23" href="../../d0/d95/ncp__spi_8cpp.html" title="This file implements a SPI interface to the OpenThread stack. " alt="" coords="1897,332,2036,357"/>
<area shape="rect" id="node24" href="../../d4/dae/ncp__uart_8cpp.html" title="This file contains definitions for a UART based NCP interface to the OpenThread stack. " alt="" coords="2061,332,2206,357"/>
<area shape="rect" id="node25" href="../../d6/d2b/lowpan_8cpp.html" title="This file implements 6LoWPAN header compression. " alt="" coords="2229,332,2411,357"/>
<area shape="rect" id="node26" href="../../de/d66/lowpan_8hpp.html" title="This file includes definitions for 6LoWPAN header compression. " alt="" coords="2412,245,2594,271"/>
<area shape="rect" id="node27" href="../../da/d80/mesh__forwarder_8hpp.html" title="This file includes definitions for forwarding IPv6 datagrams across the Thread mesh. " alt="" coords="2435,325,2581,364"/>
<area shape="rect" id="node28" href="../../df/d6b/mesh__forwarder_8cpp.html" title="This file implements mesh forwarding of IPv6/6LoWPAN messages. " alt="" coords="2900,499,3047,537"/>
<area shape="rect" id="node30" href="../../df/d4b/topology_8hpp.html" title="This file includes definitions for maintaining Thread network topologies. " alt="" coords="3009,245,3199,271"/>
<area shape="rect" id="node29" href="../../d1/d10/network__data_8hpp.html" title="This file includes definitions for managing Thread Network Data. " alt="" coords="3544,499,3704,537"/>
<area shape="rect" id="node31" href="../../d0/d78/mle_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Child, Router, and Leader roles. " alt="" coords="3803,332,3965,357"/>
<area shape="rect" id="node32" href="../../d4/da4/commissioner_8hpp.html" title="This file includes definitions for the Commissioner role. " alt="" coords="5253,419,5491,444"/>
<area shape="rect" id="node33" href="../../d9/d7e/leader_8hpp.html" title="This file includes definitions for a MeshCoP Leader. " alt="" coords="4701,419,4894,444"/>
<area shape="rect" id="node34" href="../../d2/d1d/meshcop__dataset__manager_8hpp.html" title="This file includes definitions for managing MeshCoP Datasets. " alt="" coords="4917,412,5085,451"/>
<area shape="rect" id="node35" href="../../d1/df9/mle_8cpp.html" title="This file implements MLE functionality required for the Thread Child, Router and Leader roles..." alt="" coords="3880,505,4040,531"/>
<area shape="rect" id="node42" href="../../dd/d28/coap__server_8hpp.html" title="This file includes definitions for the CoAP server. " alt="" coords="4706,152,4840,191"/>
<area shape="rect" id="node43" href="../../da/de7/announce__begin__client_8hpp.html" title="This file includes definitions for responding to Announce Requests. " alt="" coords="5556,239,5745,277"/>
<area shape="rect" id="node44" href="../../dd/d13/energy__scan__client_8hpp.html" title="This file includes definitions for responding to PANID Query Requests. " alt="" coords="5174,239,5346,277"/>
<area shape="rect" id="node45" href="../../d0/d93/joiner_8hpp.html" title="This file includes definitions for the Joiner role. " alt="" coords="3887,245,4075,271"/>
<area shape="rect" id="node46" href="../../da/d7f/joiner__router_8hpp.html" title="This file includes definitions for the Joiner Router role. " alt="" coords="4633,239,4796,277"/>
<area shape="rect" id="node47" href="../../d2/d73/panid__query__client_8hpp.html" title="This file includes definitions for responding to PANID Query Requests. " alt="" coords="5369,239,5532,277"/>
<area shape="rect" id="node48" href="../../df/d7a/energy__scan__server_8hpp.html" title="This file includes definitions for responding to Energy Scan Requests. " alt="" coords="4100,239,4255,277"/>
<area shape="rect" id="node49" href="../../dd/d07/network__diag_8hpp.html" title="This file includes definitions for handle network diagnostic. " alt="" coords="4278,239,4439,277"/>
<area shape="rect" id="node50" href="../../d9/d2d/panid__query__server_8hpp.html" title="This file includes definitions for responding to PANID Query Requests. " alt="" coords="4463,239,4609,277"/>
</map>
</div>
</div>
<p><a href="../../db/d51/ip6__headers_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/db9/structThread_1_1Ip6_1_1HeaderPoD.html">Thread::Ip6::HeaderPoD</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure represents an IPv6 header.  <a href="../../de/db9/structThread_1_1Ip6_1_1HeaderPoD.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html">Thread::Ip6::Header</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 header generation and parsing.  <a href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html">Thread::Ip6::ExtensionHeader</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 Extension <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> generation and processing.  <a href="../../de/df0/classThread_1_1Ip6_1_1ExtensionHeader.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d98/classThread_1_1Ip6_1_1HopByHopHeader.html">Thread::Ip6::HopByHopHeader</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 Hop-by-Hop Options <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> generation and parsing.  <a href="../../dc/d98/classThread_1_1Ip6_1_1HopByHopHeader.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d7c/classThread_1_1Ip6_1_1OptionHeader.html">Thread::Ip6::OptionHeader</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 Options generation and parsing.  <a href="../../d2/d7c/classThread_1_1Ip6_1_1OptionHeader.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d93/classThread_1_1Ip6_1_1OptionPadN.html">Thread::Ip6::OptionPadN</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 PadN Option generation and parsing.  <a href="../../d7/d93/classThread_1_1Ip6_1_1OptionPadN.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/de1/classThread_1_1Ip6_1_1OptionPad1.html">Thread::Ip6::OptionPad1</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 Pad1 Option generation and parsing.  <a href="../../d7/de1/classThread_1_1Ip6_1_1OptionPad1.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html">Thread::Ip6::FragmentHeader</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements IPv6 Fragment <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> generation and parsing.  <a href="../../d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:d2/de1/namespaceThread_1_1Ip6"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de1/namespaceThread_1_1Ip6.html">Thread::Ip6</a></td></tr>
<tr class="memdesc:d2/de1/namespaceThread_1_1Ip6"><td class="mdescLeft">&#160;</td><td class="mdescRight">This namespace includes definitions for IPv6 networking. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga83d94b02a618038e1534f9e12001d095"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">Thread::Ip6::IpProto</a> { <br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095af0cabc58472c62cd7c323ca2af1fce27">Thread::Ip6::kProtoHopOpts</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a1c4f58f46e88646807462a0c0ef25d48">Thread::Ip6::kProtoTcp</a> = 6, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a083b654658383200cb8576ae7c8df190">Thread::Ip6::kProtoUdp</a> = 17, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a6e7be0e85d196b143588cbae5b530ad8">Thread::Ip6::kProtoIp6</a> = 41, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a80a47e9bf04b6638f4e6c030145ead72">Thread::Ip6::kProtoRouting</a> = 43, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095ae8a7a32c56a41a5bd607c3f422a73a4a">Thread::Ip6::kProtoFragment</a> = 44, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a77d8b7ed49764996c78218ac407b3be2">Thread::Ip6::kProtoIcmp6</a> = 58, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095aab937e13981c7f13f0dd8303eef12dfe">Thread::Ip6::kProtoNone</a> = 59, 
<br />
&#160;&#160;<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga83d94b02a618038e1534f9e12001d095a9a9bdec4b2e2dbdba704f98b03ff791c">Thread::Ip6::kProtoDstOpts</a> = 60
<br />
 }<tr class="memdesc:ga83d94b02a618038e1534f9e12001d095"><td class="mdescLeft">&#160;</td><td class="mdescRight">Internet Protocol Numbers.  <a href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:ga83d94b02a618038e1534f9e12001d095"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga09c02298ae6967b7fdc12c3661d10458"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#gga09c02298ae6967b7fdc12c3661d10458ad1d2d0978672bdd1d726aec91129404e">Thread::Ip6::kVersionClassFlowSize</a> = 4
 }</td></tr>
<tr class="separator:ga09c02298ae6967b7fdc12c3661d10458"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file includes definitions for IPv6 packet processing. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_73cb4d11b06c10448caf49ed02a351c4.html">net</a></li><li class="navelem"><a class="el" href="../../db/d51/ip6__headers_8hpp.html">ip6_headers.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
